/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.key;

import cn.hutool.core.date.LocalDateTimeUtil;
import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.github.liaochong.myexcel.core.annotation.ExcelModel;
import com.yiring.app.domain.key.KeyAlarm;
import java.io.Serial;
import java.io.Serializable;
import lombok.AccessLevel;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.FieldDefaults;

/**
 * 部门信息控制器
 *
 * @author LJ-2204
 * @date 2022/5/11
 */

@ExcelModel
@Data
@Builder
@FieldDefaults(level = AccessLevel.PRIVATE)
public class KeyAlarmExportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = -3703974403333845088L;

    @ExcelColumn(title = "地图位置")
    Long areaId;

    @ExcelColumn(title = "报警人员")
    String realName;

    @ExcelColumn(title = "工号")
    String uuid;

    @ExcelColumn(title = "报警时间")
    String createTime;

    @ExcelColumn(title = "结束时间")
    String endTime;

    @ExcelColumn(title = "报警类型")
    String type;

    @ExcelColumn(title = "报警接收人")
    String receiver;

    @ExcelColumn(title = "报警状态")
    Boolean enable;

    public static KeyAlarmExportExcel transform(KeyAlarm keyAlarm) {
        return KeyAlarmExportExcel
            .builder()
            .areaId(keyAlarm.getAreaId())
            .createTime(LocalDateTimeUtil.format(keyAlarm.getCreateTime(), "yyyy-MM-dd hh:mm:ss"))
            .endTime(LocalDateTimeUtil.format(keyAlarm.getUpdateTime(), "yyyy-MM-dd hh:mm:ss"))
            .type("按键报警")
            .enable(keyAlarm.getEnable())
            .build();
    }
}
