/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.key;

import com.yiring.app.push.domain.PushMessage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 按键报警推送
 *
 * @author LJ-2204
 * @date 2022/5/13
 */

@ApiModel("KeyAlarmLogFindParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class KeyAlarmLogFindParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -7238582681776938388L;

    @ApiModelProperty(value = "主键", example = "1")
    Long id;

    @ApiModelProperty(value = "通知方式", example = "SMS/APP")
    PushMessage.Type type;

    @ApiModelProperty(value = "联系号码", example = "18888888888")
    String mobile;

    @ApiModelProperty(value = "接收状态", example = "T/F")
    Boolean status;
}
